## cd_wifibot_lab_V4.zip

=== Makefile ===
.PHONY: all

PRODUCTS := $(wildcard conf/*/product.mk)
PRODUCTS := $(subst /product.mk,,$(PRODUCTS))
PRODUCTS := $(subst conf/,,$(PRODUCTS))

.PHONY: $(PRODUCTS)


BUILDDIR := $(PWD)
$(shell rm -f $(BUILDDIR)/current)

include common.mk
export BUILDDIR build_install_directory

all:
	@echo "Choose a product to build ($(PRODUCTS))!"

$(PRODUCTS):
	make -C conf CURRENT=$@ || exit 1
	make -C rootfs prepare uclibc preinstall || exit 1
	make -C kernel install || exit 1
	make -C drivers install || exit 1
	make -C apps all install || exit 1
	make -C rootfs postinstall clean image || exit 1

clean:
	make -C drivers clean
	make -C kernel clean
	make -C apps clean
	make -C rootfs distclean
	make -C conf clean
	-rm -f tools/bin/*

=== apps/Makefile ===
.PHONY: all

ifndef BUILDDIR
BUILDDIR = $(realpath ..)
endif
include $(BUILDDIR)/common.mk

subdirs := open closed gpl web

all:
	for dir in $(subdirs); do \
		make -C $$dir || exit 1; \
	done

install: 
	for dir in $(subdirs); do \
		make -C $$dir install || exit 1; \
	done

clean: 
	for dir in $(subdirs); do \
		make -C $$dir clean; \
	done

=== conf/Makefile ===
.PHONY: all clean

ifneq ($(MAKECMDGOALS),clean)
ifeq ($(realpath $(CURRENT)),)
$(error "No such directory $(CURRENT)!")
endif
endif

all:
	@rm -f current
	@ln -s $(CURRENT) current && echo "Current product is now $(CURRENT)"; \

clean:
	rm -f current

=== drivers/Makefile ===
.PHONY: all install clean

ifndef BULDDIR
BUILDDIR=$(realpath ..)
export BUILDDIR
endif

include $(BUILDDIR)/common.mk

ifneq ($(DRIVERS),)
dirs := $(DRIVERS)
else
dirs := $(wildcard *)
endif

all:
	for f in $(dirs) ; do \
		if [ -d $$f ]; then \
			make PRODUCT=${PRODUCT} -C $$f || exit 1; \
		fi ; \
	done

install: all
	for f in $(dirs) ; do \
		if [ -d $$f ]; then \
			make PRODUCT=${PRODUCT} -C $$f install || exit 2; \
		fi ; \
	done

clean:
	for f in $(dirs) ; do \
		if [ -d $$f ]; then \
			make PRODUCT=${PRODUCT} -C $$f clean; \
		fi ; \
	done

=== kernel/Makefile ===
.PHONY: all clean install

ifndef BUILDDIR
BUILDDIR := $(realpath ..)
endif

include $(BUILDDIR)/common.mk

KERNEL := $(build_kernel_version)
ifneq ($(MAKECMDGOALS),clean)
ifndef PRODUCT
$(error PRODUCT is not defined!)
endif
else
ifneq ($(PRODUCT),px2)
KERNEL := linux-kernel-2.4
else
KERNEL := linux-kernel-rtl-2.4
endif
endif

ifeq ($(KERNEL),)
$(error build_kernel_version is not defined!)
endif

all:
	rm -f $(KERNEL)/.config
	cp -f $(PRODUCT_KERNEL_CFG) $(KERNEL)/.config
	make -C $(KERNEL) oldconfig
	make -C $(KERNEL) depend
	make -C $(KERNEL) vmlinux
	cp $(KERNEL)/vmlinux $(KERNEL)/vmlinux.notstripped
	make -C $(KERNEL) bzImage
	make -C $(KERNEL) modules

install: all
	INSTALL_MOD_PATH=${build_install_directory} make -C $(KERNEL) modules_install

clean:
	rm -f $(KERNEL)/vmlinux.notstripped
	make -C $(KERNEL) clean || echo "Ignoring errors!"

=== mjpg-streamer-experimental/Makefile ===
###############################################################
#
# Purpose: Makefile for "M-JPEG Streamer"
# Author.: Tom Stoeveken (TST)
# Version: 0.4
# License: GPL
#
###############################################################

# specifies where to install the binaries after compilation
# to use another directory you can specify it with:
# $ sudo make DESTDIR=/some/path install
DESTDIR = /usr/local

# set the compiler to use
CC = gcc

SVNDEV := -D'SVN_REV="$(shell svnversion -c .)"'
CFLAGS += $(SVNDEV)

# general compile flags, enable all warnings to make compile more verbose
CFLAGS += -DLINUX -D_GNU_SOURCE -Wall 
#CFLAGS += -g 
#CFLAGS +=  -DDEBUG

# we are using the libraries "libpthread" and "libdl"
# libpthread is used to run several tasks (virtually) in parallel
# libdl is used to load the plugins (shared objects) at runtime
LFLAGS += -lpthread -ldl

# define the name of the program
APP_BINARY = mjpg_streamer

# define the names and targets of the plugins
PLUGINS = input_uvc.so
PLUGINS += output_file.so
PLUGINS += output_udp.so
PLUGINS += output_http.so
PLUGINS += input_testpicture.so
PLUGINS += output_autofocus.so
PLUGINS += input_file.so
# PLUGINS += input_pylon.so
# PLUGINS += input_megatec.so
# PLUGINS += output_mars2020.so
# PLUGINS += output_rtsp.so
# PLUGINS += input_ptp2.so # commented out because it depends on libgphoto
PLUGINS += input_http.so 
# PLUGINS += output_viewer.so # commented out because it depends on SDL

# define the names of object files
OBJECTS=mjpg_streamer.o utils.o

# this is the first target, thus it will be used implictely if no other target
# was given. It defines that it is dependent on the application target and
# the plugins
all: application plugins

application: $(APP_BINARY)

plugins: $(PLUGINS)

$(APP_BINARY): mjpg_streamer.c mjpg_streamer.h mjpg_streamer.o utils.c utils.h utils.o
	$(CC) $(CFLAGS) $(OBJECTS) $(LFLAGS) -o $(APP_BINARY)
	chmod 755 $(APP_BINARY)

output_autofocus.so: mjpg_streamer.h utils.h
	make -C plugins/output_autofocus all
	cp plugins/output_autofocus/output_autofocus.so .

input_testpicture.so: mjpg_streamer.h utils.h
	make -C plugins/input_testpicture all
	cp plugins/input_testpicture/input_testpicture.so .


ifeq ($(USE_LIBV4L2),true)
input_uvc.so: mjpg_streamer.h utils.h
	make -C plugins/input_uvc USE_LIBV4L2=true all
	cp plugins/input_uvc/input_uvc.so .
else
input_uvc.so: mjpg_streamer.h utils.h
	make -C plugins/input_uvc all
	cp plugins/input_uvc/input_uvc.so .
endif

output_file.so: mjpg_streamer.h utils.h
	make -C plugins/output_file all
	cp plugins/output_file/output_file.so .

ifeq ($(WXP_COMPAT),true)
output_http.so: mjpg_streamer.h utils.h
	make -C plugins/output_http WXP_COMPAT=true all
	cp plugins/output_http/output_http.so .
else
output_http.so: mjpg_streamer.h utils.h
	make -C plugins/output_http all
	cp plugins/output_http/output_http.so .
endif

output_udp.so: mjpg_streamer.h utils.h
	make -C plugins/output_udp all
	cp plugins/output_udp/output_udp.so .
	
output_mars2020.so: mjpg_streamer.h utils.h
	make -C plugins/output_mars2020 all
	cp plugins/output_mars2020/output_mars2020.so .

input_file.so: mjpg_streamer.h utils.h
	make -C plugins/input_file all
	cp plugins/input_file/input_file.so .

output_rtsp.so: mjpg_streamer.h utils.h
	make -C plugins/output_rtsp all
	cp plugins/output_rtsp/output_rtsp.so .
	
input_ptp2.so: mjpg_streamer.h utils.h
	make -C plugins/input_ptp2 all
	cp plugins/input_ptp2/input_ptp2.so .	
	
input_megatec.so: mjpg_streamer.h utils.h
	make -C plugins/input_megatec all
	cp plugins/input_megatec/input_megatec.so .	
	
input_pylon.so: mjpg_streamer.h utils.h
	make -C plugins/input_pylon all
	cp plugins/input_megatec/input_pylon.so .	

input_http.so: mjpg_streamer.h utils.h
	make -C plugins/input_http all
	cp plugins/input_http/input_http.so .

# The viewer plugin requires the SDL library for compilation
# This is very uncommmon on embedded devices, so it is commented out and will
# not be build automatically. If you compile for PC, install libsdl and then
# execute the following command:
# make output_viewer.so
output_viewer.so: mjpg_streamer.h utils.h
	make -C plugins/output_viewer all
	cp plugins/output_viewer/output_viewer.so .

# cleanup
clean:
	make -C plugins/input_uvc $@
	make -C plugins/input_testpicture $@
	make -C plugins/output_file $@
	make -C plugins/output_http $@
	make -C plugins/output_udp $@
	make -C plugins/output_autofocus $@
	make -C plugins/output_viewer $@
	make -C plugins/output_rtsp $@
#	make -C plugins/output_mars2020 $@
	make -C plugins/input_http $@
	rm -f *.a *.o $(APP_BINARY) core *~ *.so *.lo

# useful to make a backup "make tgz"
tgz: clean
	mkdir -p backups
	tar czvf ./backups/mjpg_streamer_`date +"%Y_%m_%d_%H.%M.%S"`.tgz --exclude backups --exclude .svn *

# install MJPG-streamer and example webpages
install: all
	install --mode=755 $(APP_BINARY) $(DESTDIR)/bin
	install --mode=644 $(PLUGINS) $(DESTDIR)/lib/
	install --mode=755 -d $(DESTDIR)/www
	install --mode=644 -D www/* $(DESTDIR)/www

# remove the files installed above
uninstall:
	rm -f $(DESTDIR)/bin/$(APP_BINARY)
	for plug in $(PLUGINS); do \
	  rm -f $(DESTDIR)/lib/$$plug; \
	done;

=== rootfs/Makefile ===
.PHONY: all prepare install clean version

ifndef BUILDDATE
BUILDDATE=`date +%m%d%H%M%Y`
endif

ifndef BUILDDIR
BUILDDIR := $(realpath ..)
endif

ifeq ($(MAKECMDGOALS),clean)
CLEAN=1
endif
ifeq ($(MAKECMDGOALS),distclean)
CLEAN=1
endif

ifndef CLEAN

ifndef PRODUCT
$(warning PRODUCT is not defined - will use definition from $(BUILDDIR)/conf/current/product.mk)
include $(BUILDDIR)/conf/current/product.mk
endif

include $(BUILDDIR)/common.mk

ifndef PRODUCT_VERSION
$(error PRODUCT_VERSION is not defined!)
endif

endif

ifndef build_install_directory
$(warning build_install_directory is not defined - will use ./ROOT directory!)
build_install_directory := ./ROOT
endif

instdir := ${build_install_directory}
stagingdir := $(build_install_directory)-staging

export BUILDDIR CONFDIR build_install_directory FW_INFOFILE BUILDCAPS instdir stagingdir

ifndef CLEAN
include Makefile.inc
endif

all: prepare preinstall

version:
	echo $(FULL_VERSION) > ${instdir}/usr/lib/version

preinstall: version
	make -C ${PRODUCT} preinstall

prepare:
	@echo "Creating $(PRODUCT) filesystem skeleton at ${instdir}"
	@mkdir -p ${instdir} || (echo "Failed creating ${instdir}" && exit 2)
	# clean old symlinks
	rm -rf $(instdir)/sbin
	rm -rf $(instdir)/etc
	rm -rf $(instdir)/tmp
	rm -rf $(instdir)/lib/modules/2.4.27-ubnt0
	# create the dirs
	@mkdir -p ${instdir}/bin
	@mkdir -p ${instdir}/dev
	@mkdir -p ${instdir}/lib/modules/net
	@cd ${instdir}/lib/modules && \
	ln -sf . 2.4.27-ubnt0
	@mkdir -p ${instdir}/proc
	@mkdir -p ${instdir}/var/etc
	@mkdir -p ${instdir}/var/tmp
	@mkdir -p ${instdir}/usr/etc/rc.d
	@mkdir -p ${instdir}/usr/etc/udhcpc
	@mkdir -p ${instdir}/usr/lib
	@mkdir -p ${instdir}/usr/www/images
	@mkdir -p ${instdir}/usr/www/lib
	# create symlinks
	@cd ${instdir} && \
	ln -sf var/etc etc && \
	ln -sf var/tmp tmp && \
	ln -s bin sbin
	echo $(FULL_VERSION) > ${instdir}/usr/lib/version

uclibc:
	for i in ld-uClibc libc libcrypt libdl libm libnsl libresolv libuClibc libutil; do \
		cp -fd ${build_toolchain_dir}/lib/$$i*.so* ${instdir}/lib; \
	done

postinstall:
	make -C ${PRODUCT} postinstall

$(MKSQUASHFS):
	$(MAKE) -C ${build_kernel_directory}/scripts/squashfs
	cp -f ${build_kernel_directory}/scripts/squashfs/mksquashfs $(MKSQUASHFS)

$(MKFWIMAGE):
	$(MAKE) DESTDIR=${TOOLDIR} -C ${MKFWIMAGE_HOME} install

FAKE_DEBUG_DIR:=DEBUG-$(VER)
export FAKE_DEBUG_DIR

image: $(MKFWIMAGE) rootfs
	mkdir -p $(VER)
	rm -f $(LATEST_LINK)
	ln -s $(VER)/ $(LATEST_LINK)
	cp ${build_kernel_directory}/arch/mips/boot/bzImage ${VER}/
	cp ${build_kernel_directory}/vmlinux ${VER}/
	cp ${build_kernel_directory}/vmlinux.notstripped ${VER}/
	# lzma has different swiches in different versions
	# try first newer version
	lzma -f ${VER}/vmlinux || lzma e ${VER}/vmlinux ${VER}/vmlinux.lzma
	mv squashfs.bin ${VER}/
	for FW_INFOFILE in $(wildcard $(BUILDDIR)/conf/current/fw-layout*.txt); do \
		LAYOUT_SUFFIX="$$(echo "$${FW_INFOFILE}" | sed -n -r -e "s/^.*[/]fw-layout(-.*).txt$$/\1/p")"; \
		cd ${VER}; \
		$(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER) -o ${VER}$${LAYOUT_SUFFIX}.bin; \
		if [ "$(BUILD_ALL_XS_FW)" = "yes" ] && [ "$${LAYOUT_SUFFIX}" = "" ]; then \
			$(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER_LS) -o ${VER_LS}$${LAYOUT_SUFFIX}.bin; \
			$(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER_PS) -o ${VER_PS}$${LAYOUT_SUFFIX}.bin; \
			$(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER_NS) -o ${VER_NS}$${LAYOUT_SUFFIX}.bin; \
			[ ! "$(PRODUCT)." = "xs5." ] || $(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER_MS) -o ${VER_MS}$${LAYOUT_SUFFIX}.bin; \
			[ ! "$(PRODUCT)." = "xs5." ] || $(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER_WS) -o ${VER_WS}$${LAYOUT_SUFFIX}.bin; \
			[ ! "$(PRODUCT)." = "xs5." ] || $(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER_pS) -o ${VER_PICO}$${LAYOUT_SUFFIX}.bin; \
		fi; \
		if [ "$${LAYOUT_SUFFIX}" = "-8M" ]; then \
			$(MKFWIMAGE) -i $${FW_INFOFILE} -v $(VER) -o ${VER_PICO}$${LAYOUT_SUFFIX}.bin; \
		fi; \
		cd ..; \
	done
	-@rm -f DEBUG-* >/dev/null
	-@ln -s $(instdir)/ $(FAKE_DEBUG_DIR)
	-@tar czf $(VER)/$(VER).debug_binaries.notstripped.tgz $$(find $(FAKE_DEBUG_DIR)/ -type f | xargs file | sed -n -r -e "s/^([^:]*)[:].*not stripped.*/\1/p")
	-@rm $(FAKE_DEBUG_DIR)

rootfs: $(MKSQUASHFS) squashfs.bin

STRIP=${build_toolchain_prefix}strip -g --remove-section=.note --remove-section=.comment
squashfs.bin:
	@rm -rf $(stagingdir)
	@(build_date=$(BUILDDATE); sed -i "s/BUILD_DATE/$${build_date}/" $(instdir)/linuxrc)
	@cp -ar $(instdir) $(stagingdir)
	@find $(stagingdir) -type f | xargs file | sed -n -r -e "s/^([^:]*)[:].*executable, MIPS.*not stripped.*/\1/p" | xargs --no-run-if-empty $(STRIP)
	@find $(stagingdir) -type f | xargs file | sed -n -r -e "s/^([^:]*)[:].*MIPS.*not stripped.*/\1/p" | xargs --no-run-if-empty $(STRIP)
	@env stagingdir=${stagingdir} fakeroot ./create_image.sh $@ || exit 1

clean:
	@if [ -z "$(stagingdir)" ]; then echo "ERROR: stagingdir is not set."; exit 1; fi;
	-@rm -rf squashfs.bin
	@echo "Cleaning $(stagingdir)..."
	-@rm -rf $(stagingdir)

distclean: clean
	@if [ -z "$(instdir)" ]; then echo "ERROR: instdir is not set."; exit 1; fi;
	@echo "Cleaning $(instdir)..."
	-@rm -rf $(instdir)

=== apps/closed/Makefile ===
.PHONY: all

ifndef BUILDDIR
BUILDDIR = $(realpath ../..)
endif
include $(BUILDDIR)/common.mk

subdirs := bin

all:

install: all
	for dir in $(subdirs); do \
	    mkdir -p $(build_install_directory)/$$dir; \
		cp -a $$dir/* $(build_install_directory)/$$dir; \
	done

clean:

=== apps/gpl/Makefile ===
.PHONY: all install clean

ifndef BUILDDIR
BUILDDIR = $(realpath ../..)
endif

include $(BUILDDIR)/common.mk

ifneq ($(APPS_GPL),)
apps := $(APPS_GPL)
else
apps := $(patsubst %.mk,%,$(wildcard *.mk))
endif

inst := $(patsubst %,%-install,$(apps))

all: $(apps)

install: $(inst)

clean: $(patsubst %,%-clean,$(apps))

include $(patsubst %,%.mk,$(apps))

=== apps/open/Makefile ===
.PHONY: all clean install

ifndef BUILDDIR
BUILDDIR = $(realpath ../..)
endif

include $(BUILDDIR)/common.mk

ifneq ($(APPS_OPEN),)
apps := $(APPS_OPEN)
else 
apps := $(patsubst %.mk,%,$(wildcard *.mk))
endif

all: ${apps}
install: $(foreach t,${apps},${t}-install)
clean: $(foreach t,${apps},${t}-clean)

include $(foreach t,${apps},${t}.mk)

=== apps/web/Makefile ===
.PHONY: all clean install

BUILDDIR := $(realpath ../..)
include $(BUILDDIR)/common.mk

all clean install:
	make -C common $@ || exit 1;

=== drivers/ar2313-enet/Makefile ===
#
# Makefile for the Atheros ar531x ethernet driver
#


ifndef BUILDDIR
BUILDDIR=$(realpath ../..)
endif

ifndef build_kernel_version
include $(BUILDDIR)/common.mk
endif

TOOLPREFIX=${build_toolchain_prefix}
MODPATH=$(instdir)
KERNELPATH=$(realpath $(BUILDDIR))/kernel/${build_kernel_version}
KERNELRELEASE=$(shell grep UTS_RELEASE $(KERNELPATH)/include/linux/version.h | \
sed -e 's/\(.*\) "\(.*\)"/\2/')


obj= .

obj-m		 += ae531x.o
ae531x-objs	 := ar2313.o
export-objs	 := ar2313.o.o
list-multi	 := ae531x.o

INCS += -I. -I${KERNELPATH}/arch/mips/ar531x/
ARCH_FLAGS = -mabi=32 -march=r4600 -Wa,-32 -Wa,-march=r4600 -Wa,-mips3 -Wa,--trap

#
# If building directly into kernel
#
ifneq ($(MAKING_MODULES),1)
obj-$(CONFIG_NET_ATHEROS_ETHER) := ae531x.o $(ae531x-objs)
O_TARGET := ae531x.o
endif

INCS += -I.

EXTRA_CFLAGS+=$(INCS) ${COPTS} ${ARCH_FLAGS}
ifeq ($(DEBUG_BUILD),1)
EXTRA_CFLAGS+=-DDEBUG
endif

# release tag versioning
-include $(KERNELPATH)/ath_version.mk

-include $(TOPDIR)/Rules.make
STRIP=	${TOOLPREFIX}strip

ifndef MODPATH
MODPATH = ${KERNELPATH}/arch/mips/ar531x/ROOTDISK/rootdir/lib/modules/${KERNELRELEASE}/
endif

all:
	$(MAKE)	-C ${KERNELPATH} SUBDIRS=$(shell pwd) modules

install: all
	$(STRIP) -S ae531x.o
	cp ae531x.o ${build_install_directory}/lib/modules/

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd

ae531x.o : $(ae531x-objs)
	$(LD) -o ae531x.o -r $(ae531x-objs)

=== apps/gpl/iperf/debian/changelog ===
iperf (2.0.2-2) unstable; urgency=low

  * Add PTHREAD_LIBS to iperf_LDADD and regenerate configure, hopefully
    will fix #314383: FTBFS on hurd-i386.
  * Updated standards (no changes).

 -- Roberto Lumbreras <rover@debian.org>  Fri, 12 May 2006 16:49:36 +0200

iperf (2.0.2-1) unstable; urgency=low

  * New upstream version (closes: #312300).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 07 Jun 2005 16:42:55 +0200

iperf (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 04 Feb 2005 02:38:36 +0100

iperf (1.7.0-1) unstable; urgency=low

  * New upstream version.
  * Use config.sub and config.guess symlinks from autotools-dev
    (closes: #190015, #189673).
  * Changed short description (closes: #188476).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 22 Apr 2003 01:48:12 +0200

iperf (1.6.5-1) unstable; urgency=low

  * Initial Release (closes: #186418).
  * Do not include getopt functions in libdast (they are provided by libc6).
  * Send --help and --version outputs to stdout and exit success, to make
    help2man happy (GNU standards, see bug #138752).

 -- Roberto Lumbreras <rover@debian.org>  Fri, 28 Mar 2003 19:07:09 +0100

=== apps/gpl/iproute2/debian/changelog ===
iproute (20010824-13.1) unstable; urgency=high

  * NMU for a security fix.
  * [CAN-2003-0856] Fix a local denial of service vulnerability via
    spoofed messages to the kernel's Netlink interface. (Closes: #242994)

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 16 May 2004 20:28:43 -0700

iproute (20010824-13) unstable; urgency=low

  * debian/rules: Run dpkg-shlibdeps with all the executables,
    to fix dependency problem                      (closes: Bug#224063)
  * Really removed references to obsolete include files
    (Bug#223165 was not fixed properly)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 25 Jan 2004 23:04:20 +0100

iproute (20010824-12) unstable; urgency=low

  * Updated README.Debian and copyright file
  * Added two new manpages from http://lartc.org/manpages/:
    ip(8) and tc-cbq-details(8).
  * Removed references to obsolete include files which made
    compilation fail (closes: Bug#223165)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 14 Dec 2003 00:40:10 +0100

iproute (20010824-11) unstable; urgency=low

  * Changed priority to "optional"
  * Fixed "tc -s qdisc" on sparc (patch by "Nicolas S. Dade"
    <ndade@nsd.dyndns.org>) (closes: Bug#194128)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 17 Aug 2003 00:22:47 +0200

iproute (20010824-10) unstable; urgency=low

  * Updated manual pages from http://www.lartc.org/manpages/
                (closes: Bug#156353, Bug#175313, Bug#176989, Bug#189095)
  * New Standards-Version
  * Don't "rm -rf /etc/iproute2" on purge (closes: Bug#202862)
  * Include "iproute2" in the description (closes: Bug#182999)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 16 Aug 2003 18:29:27 +0200

iproute (20010824-9) unstable; urgency=medium

  * Added patch for HTB v3.6 to be able to work with kernel 2.4.20
    (from http://luxik.cdi.cz/~devik/qos/htb/v3/htb3.6-020525.tgz)
                (closes: Bug#147550, Bug#167149, Bug#167597, Bug#171277)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 05 Dec 2002 13:44:10 +0100

iproute (20010824-8) unstable; urgency=medium

  * Added support for HTB queuing discipline        (closes: Bug#133381)
    NOTE: you need a patched kernel in order to use it

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Apr 2002 20:29:40 +0200

iproute (20010824-7) unstable; urgency=medium

  * Move `ip' binary to /bin to fix FHS violation   (closes: Bug#134812)

 -- Juan Cespedes <cespedes@debian.org>  Mon,  4 Mar 2002 00:20:30 +0100

iproute (20010824-6) unstable; urgency=low

  * Added a couple of #ifdef's to be able to compile with older
    kernel headers (needed for arm)                 (closes: Bug#131695)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 16 Feb 2002 19:27:15 +0100

iproute (20010824-5) unstable; urgency=low

  * Really fix Bug#121589 (dead gateway bug); apparently I
    forgot to include the patch in 20010824-2

 -- Juan Cespedes <cespedes@debian.org>  Tue, 29 Jan 2002 23:22:24 +0100

iproute (20010824-4) unstable; urgency=low

  * Added support for DIFFSERV and ATM in tc

 -- Juan Cespedes <cespedes@debian.org>  Sun, 13 Jan 2002 03:01:47 +0100

iproute (20010824-3) unstable; urgency=low

  * Updated tc* man pages (thanks to bert hubert <ahu@ds9a.nl>)
  * Fixed spurious space in `tc -s qdisc' output (closes: Bug#128501)

 -- Juan Cespedes <cespedes@debian.org>  Thu, 10 Jan 2002 22:18:25 +0100

iproute (20010824-2) unstable; urgency=low

  * Fixed the following important and serious bugs:
    + iproute doesn't compile on Alpha (closes: Bug#118113, Bug#123224)
    + iproute doesn't compile on MIPS (closes: Bug#118424)
    + iproute doesn't compile on powerpc (closes: Bug#119601)
  * Added man pages for tc (closes: Bug#124230), tc-cbq, tc-red, tc-tbf,
    tc-prio and tc-sfq
  * Removed references to old programs from iproute(7) (closes: Bug#99536)
  * Fixed bug which presented first hop as dead in equal cost multipath
                                                      (closes: Bug#121589)
  * Do not process .ps with through `psnup' (closes: Bug#119820)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  8 Jan 2002 16:07:27 +0100

iproute (20010824-1) unstable; urgency=low

  * New upstream version
  * Make ingress qdisc work again with tc           (closes: Bug#84444)
  * Make it compile properly with new include files (closes: Bug#113112)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 28 Oct 2001 16:38:00 +0100

iproute (20001007-1) unstable; urgency=low

  * New upstream version                             (closes: Bug#63701)
  * Remove /etc/iproute2 on purge                    (closes: Bug#72743)
  * Fixed Lintian warnings (no-priority-field and no-section-field)

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Oct 2000 19:27:12 +0200

iproute (991023-2) unstable; urgency=low

  * New Standards-Version (3.1.1) (closes: Bug#47923)
  * Modified description of package to show which kernel options are
    necessary to use the package (closes: Bug#47922)
  * Updated manual page to point at /usr/share/doc/iproute (closes: Bug#47924)

 -- Juan Cespedes <cespedes@debian.org>  Sun, 19 Dec 1999 04:00:21 +0100

iproute (991023-1) unstable; urgency=low

  * New upstream version (closes: Bug#48733)

 -- Juan Cespedes <cespedes@debian.org>  Tue,  2 Nov 1999 16:29:37 +0100

iproute (990824-1) unstable; urgency=low

  * New maintainer
  * New upstream version
  * New Standards-Version: 3.1.0
  * Minor fix in "ip rule list": mask in "from" address was not shown
    correctly
  * Removed obsoleted documentation from "debian/" directory

 -- Juan Cespedes <cespedes@debian.org>  Sun, 24 Oct 1999 19:02:56 +0200

iproute (990630-1) unstable; urgency=low

  * New upstream version.
  * FHS and standards 3.0.1.0.

 -- Roberto Lumbreras <rover@debian.org>  Tue,  3 Aug 1999 02:49:28 +0200

iproute (990530-1) unstable; urgency=low

  * New upstream version.
  * Build with 2.2.10 kernel headers.
  * Install new scripts ip/routef ip/routel, but not ip/ifcfg ip/rtpr by


=== apps/gpl/libpcap/debian/changelog ===
libpcap (0.7.2-7) unstable; urgency=low

  * Build libpcap-dev in binary-indep target (closes: #255421), thanks to
    Santiago Vila <sanvila@unex.es> for noticing.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 21 Jun 2004 19:57:17 +0200

libpcap (0.7.2-6) unstable; urgency=low

  * debian/control: 
    + Change the name of binary package libpcap-dev to libpcap0.7-dev, and
      make libpcap-dev a virtual package.  This will allow us to move it to
      libpcap0.8 when the time comes.  Add dummy package libpcap-dev that
      depends on libpcap0.7-dev to facilitate upgrades.
    + libpcap0.7-dev conflicts with libpcap0.8-dev and replaces libpcap-dev.
    + Switched Maintainer and Uploaders fields to match reality.
    + Add "0.7" to libpcap0.7-dev description.
    + Put URL markers back into descriptions.
  * debian/rules: Install in libpcap0.7-dev.
  * debian/copyright: Update.
  * debian/libpcap-dev.{dirs,preinst}: Rename.
  * debian/libpcap0.docs: Rename to libpcap0.7.docs.
  * debian/libpcap0.{dirs,postinst}: Remove.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 16 May 2004 11:18:38 +0200

libpcap (0.7.2-5) unstable; urgency=low

  * debian/rules: Update version variables, this is version 0.7.2.
  * Makefile.in: Fix version.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 11 Nov 2003 12:14:28 +0100

libpcap (0.7.2-4) unstable; urgency=low

  * debian/libpcap-dev.preinst: New file.  Remove old symlink from
    /usr/share/doc/libpcap-dev to libpcap0 since we now have a real
    libpcap-dev directory.  Closes: #175742.
  * debian/rules: Add -A flag to dh_installdocs so that it acts on all
    binary packages.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 20 Oct 2003 18:49:22 +0200

libpcap (0.7.2-3) unstable; urgency=low

  * debian/control: libpcap-dev is in section libdevel, not in section
    devel.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Oct 2003 19:22:12 +0200

libpcap (0.7.2-2) unstable; urgency=low

  * debian/control: 
    + Adding myself as co-maintainer, with Torsten's blessing.
    + Repeat extended description in libpcap-dev description
      (closes: #209728)
    + Remove Emacs-style <URL: ...> markers from the descriptions.
      (closes: #196727).
    + Remove full stops from synopsis as per Policy.
    + Add versioned build-dependency on debhelper (>= 4).
  * debian/copyright: Remove dh-make boilerplates.
  * debian/compat: New file.
  * debian/rules: Remove obsolete DH_COMPAT variable.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Oct 2003 18:17:41 +0200

libpcap (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Sat,  7 Jun 2003 22:57:55 +0200

libpcap (0.7.1-1) unstable; urgency=low

  * New upstream release (closes: #145538).
  * debian/rules: Build the library with _FILE_OFFSET_BITS set to 64
    to allow for files bigger than 2GB (closes: #129213).
  * Rename the library package to libpcap0.7 and change the SONAME so that we
    can account for interface changes (closes: #132359).
  * Run ldconfig as appropriate (lintian).
  * Remove watch.ex template and the silly symlink from libpcap-dev's 
    documentation to libpcap0 (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Sat,  3 Aug 2002 23:33:56 +0200

libpcap (0.6.2-2) unstable; urgency=low

  * debian/control: Change section of libpcap0 from net to libs
    (Debian installer message).
  * aclocal.m4: Treat the ia64 as a cpu which can't handle unaligned 
    memory access (closes: #112152). Thanks for the report go to 
    John R. Daily.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 14 Sep 2001 10:15:52 +0200

libpcap (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Removed Build-Depends already satisfied by the
    build-essential package.
  * gencode.c (gen_scode): Add the missing default branch of the protocol
    family switch (closes: 88688).
  * debian/libpcap.post{rm,inst}: Run ldconfig (lintian).
  * debian/copyright: Fix the "similiar" typo (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Tue,  6 Mar 2001 04:27:27 +0100

libpcap (0.6.1-2) unstable; urgency=low

  * debian/rules: Changed the shlibs info so that only pcap 0.6
    is okay for packages linked against this version.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 18 Jan 2001 01:13:20 +0100

libpcap (0.6.1-1) unstable; urgency=low

  * Taking back the package. Kudos to Anand for helping out.
  * debian/rules: Pass --enable-ipv6 to configure (closes: #80223).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 16 Jan 2001 15:40:37 +0100

libpcap (0.5.2-2) unstable; urgency=low

  * Update config.guess and config.sub (Closes #26031)
  * Source builds would not always work. Fix that.
  * Kernel interface problem is really a module not loaded problem. 
    Note this in README.Debian. (Closes #21356)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 28 Nov 2000 02:03:25 +1100

libpcap (0.5.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Migrate to Debhelper and insert Build-Depends

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 12 Nov 2000 03:19:44 +1100

libpcap (0.4a6-3) unstable; urgency=low

  * New maintainer.
  * scanner.l: Allow a 12 digit hex number as ether address as well as 
    BB.BB.BB.BB.BB.BB (closes: #48735)
  * nametoaddr.c (pcap_ether_aton): Adjust for change in scanner.l

 -- Torsten Landschoff <torsten@debian.org>  Mon, 22 Nov 1999 02:39:45 +0100

libpcap (0.4a6-2.1) unstable; urgency=low

  * Non maintainer upload.
    config.{guess,sub} changed to recognize a Arm architecture.

 -- Turbo Fredriksson <turbo@debian.org>  Thu, 20 Aug 1998 23:12:36 -0400

libpcap (0.4a6-2) frozen unstable; urgency=low

  * renamed /usr/doc/libpcap to /usr/doc/libpcap0 (should fix several
    lintian warnings)
  * updated standards-version
  * rebuild with latest debmake

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Mon, 30 Mar 1998 00:46:44 +0200



=== apps/gpl/pciutils-2.2.4/debian/changelog ===
pciutils (1:2.2.4-1ubuntu1) feisty; urgency=low

  * pciutils-dev: Depend on zlib1g-dev (efibootmgr build failure).
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 08:42:08 +0000

pciutils (1:2.2.4-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version.
  * Get rid of build-* rules in debian/rules, don't call build from
    binary-indep and don't touch build-* files.
  * gzip the udeb's stripped pci.ids, but gunzip the deb's pci.ids so
    that programs linked against earlier versions of libpci continue
    to work.  Also modify update-pciids so that it'll install an
    uncompressed version of pci.ids.
  * Change Makefile to not build pcimodules for HURD.  Closes: #380032
  * Improve the error message if we can't read the standard header
  * Remove myself as an Uploader
  [ Matt Taggart ]
  * update pci.ids to 2006-10-27 01:05:01

 -- Matt Taggart <taggart@debian.org>  Fri, 27 Oct 2006 02:55:47 -0700

pciutils (1:2.2.4~pre4-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version
    - Adds -nn option.  Closes: #268031
    - Adds deviceclass field.  Closes: #335665
    - Fixes I/O port access on Hurd.  Closes: #379407

 -- Matthew Wilcox <willy@debian.org>  Fri, 11 Aug 2006 07:34:06 -0400

pciutils (1:2.2.1-2) unstable; urgency=low

  * Fix Maintainer email address

 -- Matthew Wilcox <willy@debian.org>  Wed, 07 Jun 2006 11:09:11 -0400

pciutils (1:2.2.1-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version.  Closes: #329370
    - Builds on HURD.  Closes: #349239
    - Debian GNU/kFreeBSD should now build.  Closes: #292324
    - Uses correct header type for PCI-X.  Closes: #265745
    - u64 is now defined in include/pci/types.h.  Closes: #265771
    - Subsystem vendors now printed correctly.  Closes: #304576
    - Error message corrected.  Closes: #347872
    - nv40 replaced with NV40.  Closes: #343222
    - Memory window size now reported correctly.  Closes: #256607
    - The manpage now explains why capabilties are available only to root.
      Closes: #173274
    - Domains are properly supported.  Closes: #369751
  * New debian maintainers.  Thanks to Remco for his years of service.
  * Added option to use curl (instead of wget or lynx) to retrieve pci.ids
  * Revert patch to change -m format from #250737.  Closes: #347877
  * Move /var/lib/pciutils/pci.ids back to /usr/share/misc/pci.ids.
    Closes: #336331
  * Fix typos in pcimodules manpages.  Closes: #356129, #302142
  * Remove libpci.so.2; depend on libpci2 to provide this for compatibility
    with sarge.
  * Build libpci.a with -fPIC for packages which need to build shared
    libraries.
  * Remove -X option as upstream has vetoed it.  It wasn't actually being
    used anyway.
  * Add -D option (which will be in the next upstream release) to always
    show domains.
  * Stop installing the pciutils.lsm file.

  [ Matt Taggart ]
  * update debian/copyright date and author email address
  * Make the pci.ids update a separate debian/rules target that's not
    invoked in a default build
  * minor cleanups in debian/rules
  * get rid of README.debian, it's redundant with upstream info

 -- Matthew Wilcox <willy@debian.org>  Thu, 20 Apr 2006 21:01:24 -0400

pciutils (1:2.1.11-16) unstable; urgency=low

  * New maintainer, closes: #359915.
  * ACK NMUs, closes: #261536, #271226, #278479, #281411, #281413,
    #284110, #326274.
  * Set Standards-Version to 3.6.2. 
  * Added homepage to package descriptions.
  * Added debian watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 30 Mar 2006 08:06:49 +1100

pciutils (1:2.1.11-15.3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload to add a udeb providing lspci for d-i purposes
    Closes: #284110

  [ Colin Watson ]
  * Changes merged from Ubuntu patches:
    - Add pciutils-udeb, for use in the installer. Contains only lspci,
      libpci.so.2, and pci.ids.
    - Reduce pciutils-udeb's copy of pci.ids by over 100KB by removing
      subsystem ids, which I don't think we need in the installer, and
      comments.
    - Move pciutils-udeb's copy of libpci.so.2 to /lib; it seems to confuse
      mklibs less that way.

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Dec 2005 08:16:54 +0100

pciutils (1:2.1.11-15.1) unstable; urgency=low

  * NMU durring BSP
  * remove unneeded wget build-dependancy
  * Store pci.ids under /var for better FHS complicance (closes: #278479)
    patch by Sam Morris
  * Remove pci.ids.old etc when purging the package (closes: #281413)
    patch by Sam Morris
  * fix lspci -F for new or old lspci -x format (closes: #261536)
    based on patch by Ben Pfaff
  * update pci.ids (closes: #281411, hopefully closes: #326274)
	
 -- Blars Blarson <blarson@blars.org>  Sat,  3 Sep 2005 22:07:20 +0000

pciutils (1:2.1.11-15) unstable; urgency=low

  * Updated pci.ids
  * Closes: #259990: pciutils{, -dev}: package description shouldn't
    contain "(for 2.*.* kernels)"
  * Install example.c in package (closes: #228660)

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 2004 10:16:57 +0200

pciutils (1:2.1.11-14) unstable; urgency=medium

  * Added Conflicts with older alsa-utils version (closes: #259661)
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Fri, 16 Jul 2004 18:38:05 +0200

pciutils (1:2.1.11-13) unstable; urgency=low

  * Updated pci.ids
  * Add pcimodules utility (closes: #253020)
  * Add -X option for output suitable for use in XFree86Config (closes:
    #251828)
  * Fix problem with lspci displaying wrong bar size (closes: #256352)
  * Make machine-readable output better machine-readable (closes:
    #250737)

 -- Remco van de Meent <remco@debian.org>  Fri,  9 Jul 2004 16:13:52 +0200

pciutils (1:2.1.11-12) unstable; urgency=low

  * Oops now with correct replaces versioning

 -- Remco van de Meent <remco@debian.org>  Tue, 20 Apr 2004 23:53:16 +0200

pciutils (1:2.1.11-11) unstable; urgency=low



=== apps/gpl/php-2.0/debian/changelog ===
php (2.0b10-5) frozen unstable; urgency=high

  * Fixed Bug #8850, a SNI Security Advisory on Bugtraq, involving a
    buffer overflow problem which could permit shell access.

 -- Johnie Ingram <johnie@debian.org>  Fri, 18 Apr 1997 12:48:02 -0400

php (2.0b10-4) frozen unstable; urgency=high

  * Fixed Bug #8807, [DiS] Advisory 97-347.1 on Bugtraq, which allowed
    users to view arbitrary files on the system with the CGI binary (but
    not the Apache module).  It now only allows access to .phtml files.

 -- Johnie Ingram <johnie@debian.org>  Thu, 17 Apr 1997 13:07:56 -0400

php (2.0b10-3) frozen unstable; urgency=low

  * Changed chown from www.www-data to www-data.www-data (Bug #8293).
  * Updated to Standards-Version 2.1.3.0.

 -- Johnie Ingram <johnie@debian.org>  Tue, 25 Mar 1997 23:57:38 -0500

php (2.0b10-2) unstable; urgency=low

  * Now includes a separate php.cgi binary for webservers which do not
    support loadable Apache modules.
  * Package now suggests apache instead of depending on it.
  * Added missing short description to control file, a deficiency pointed
    out by Richard Kaszeta.
  * No longer calls apacheconfig unnecessarily during an upgrade (now
    checks Apache config file for previous successful install).

 -- Johnie Ingram <johnie@debian.org>  Sat, 8 Mar 1997 01:31:09 -0500

php (2.0b10-1) unstable; urgency=low

  * Initial Release: Standards-Version 2.1.2.2 and debmake 3.2.2.

 -- Johnie Ingram <johnie@debian.org>  Fri, 7 Mar 1997 17:41:01 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:

=== apps/gpl/tcpdump/debian/changelog ===
tcpdump (3.9.4-4) unstable; urgency=low

  * debian/compat: Switch to debhelper compatibility level 5.
  * debian/control:
    + Build-Depend on debhelper (>= 5).
    + Remove Uploaders field.
    + Bump Standards-Version to 3.7.2, no changes needed.
  * debian/rules: Misc. cleanups.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 20 May 2006 13:07:45 +0200

tcpdump (3.9.4-3) unstable; urgency=low

  * debian/patches/20_man_fixes.dpatch: Merge patch from A Costa
    <agcosta@gis.net> fixing a few typos (closes: #351014).

 -- Romain Francoise <rfrancoise@debian.org>  Thu,  2 Feb 2006 22:24:04 +0100

tcpdump (3.9.4-2) unstable; urgency=low

  * debian/patches/20_man_fixes.dpatch: Merge patch from A Costa
    <agcosta@gis.net> fixing a few typos (closes: #342310).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 10 Dec 2005 14:26:20 +0100

tcpdump (3.9.4-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/40_spelling.dpatch: Dropped (included upstream).
  * debian/patches/30_version.dpatch: Dropped.
  * debian/patches/30_vlan_eflag: New patch, reverse test for eflag in
    print-ether.c to match the intended effect (closes: #324706).

  * This upload also transitions tcpdump to OpenSSL 0.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  9 Oct 2005 20:11:49 +0200

tcpdump (3.9.3-2) unstable; urgency=low

  * debian/patches/40_spelling.dpatch: New patch, fixes spelling errors
    ("advertisment" vs. "advertisement"), thanks to Michael Shields
    <shields@msrl.com> (closes: #318676).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 17 Jul 2005 12:28:22 +0200

tcpdump (3.9.3-1) unstable; urgency=low

  * New upstream release.
  * Build-Depend on libpcap0.8-dev (which is really libpcap 0.9.3).

  * debian/patches/30_ascii-output.dpatch: Dropped (merged upstream).
  * debian/patches/30_version: New patch, fixes upstream version (still at
    3.9.2 while this is version 3.9.3).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Jul 2005 14:59:30 +0200

tcpdump (3.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/30_ascii-output.dpatch: New patch, fixes -x, -X and -A
    priorities and removes extra newline and tab characters in the ascii
    output (closes: #285764, #316908).
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Wed,  6 Jul 2005 20:17:19 +0200

tcpdump (3.9.0.cvs.20050622-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/control: Bump Standards-Version to 3.6.2.1, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 22 Jun 2005 19:52:31 +0200

tcpdump (3.9.0.cvs.20050614-1) unstable; urgency=low

  * New CVS snapshot.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 14 Jun 2005 19:43:24 +0200

tcpdump (3.9.0.cvs.20050529-1) experimental; urgency=low

  * New upstream CVS snapshot for experimental.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 29 May 2005 12:55:31 +0200

tcpdump (3.9.0.cvs.20050511-1) experimental; urgency=low

  * Upstream CVS snapshot of tcpdump 3.9 for experimental.
  * debian/patches/20_man_fixes.dpatch: Resynchronized.
  * debian/patches/30_openssl_des.dpatch: Dropped (fixed upstream).
  * debian/patches/40_ipv6cp.dpatch: Ditto.
  * debian/patches/50_misc_dos.dpatch: Ditto.
  * debian/patches/00list: Update.
  * debian/control: Build with libpcap0.9, also in experimental.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 11 May 2005 20:00:31 +0200

tcpdump (3.8.3-5) unstable; urgency=low

  * debian/copyright: Clarify license conditions, some files in the
    distribution are still under the 4-clause BSD license (closes: #283008).
  * debian/changelog: Revise 3.8.3-4 entry to add CAN numbers (which have
    been assigned in the meantime).

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  1 May 2005 17:23:45 +0200

tcpdump (3.8.3-4) unstable; urgency=high

  * Urgency set to high due to security fixes.
  * debian/patches/50_misc_dos.dpatch: Security fixes stolen from the 3.8
    branch fix infinite loops in the BGP, ISIS, LDP and RSVP dissectors
    [CAN-2005-1278, CAN-2005-1279, CAN-2005-1280] (closes: #306529).
  * debian/patches/00list: Add 50_misc_dos.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 27 Apr 2005 21:05:37 +0200

tcpdump (3.8.3-3) unstable; urgency=low

  * debian/patches/40_ipv6cp.dpatch: New patch, do not try to print IPV6CP
    ppp packets, the dissector doesn't support it (closes: #255179).
  * debian/patches/00list: Add 40_ipv6cp.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 19 Jun 2004 15:01:27 +0200

tcpdump (3.8.3-2) unstable; urgency=low

  * debian/rules: Enable crypto support (closes: #82581, #93428).
  * debian/control:
    + Build-Depend on libssl-dev.
    + Put back URL markers in description.
    + Switch Maintainer and Uploaders fields to match reality.
  * debian/patches/30_openssl_des.dpatch: Patch to make upstream's
    configure script check for DES_cbc_encrypt instead of des_cbc_encrypt,
    (the function got renamed in OpenSSL 0.9.7), which saves us the hassle
    of re-running autoconf.  Temporary hack since upstream has fixed this
    in CVS already.
  * debian/patches/00list: Add 30_openssl_des.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 14 May 2004 22:14:08 +0200

tcpdump (3.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Add -D_FILE_OFFSET_BITS=64 to default CFLAGS to match libpcap 
      (closes: #154762).
    + Use dpatch for patch management.
    + Clean up CFLAGS handling.
    + Support DEB_BUILD_OPTIONS.
  * debian/control: 
    + Build-Depend on libpcap0.8-dev, dpatch.
    + Add versioned Build-Depends on debhelper.
    + Remove Emacs-style URL markers from description.
  * debian/compat: New file.
  * debian/copyright: Update.
  * debian/tcpdump.docs: Do not install upstream INSTALL file.
  * debian/patches: New directory.


=== apps/gpl/iperf/debian/control ===
Source: iperf
Section: net
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: debhelper (>= 4), autotools-dev
Standards-Version: 3.7.2

Package: iperf
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Internet Protocol bandwidth measuring tool
 Iperf is a modern alternative for measuring TCP and UDP bandwidth performance,
 allowing the tuning of various parameters and characteristics.
 .
 Features:
    * Measure bandwidth, packet loss, delay jitter
    * Report MSS/MTU size and observed read sizes.
    * Support for TCP window size via socket buffers.
    * Multi-threaded. Client and server can have multiple simultaneous
      connections.
    * Client can create UDP streams of specified bandwidth.
    * Multicast and IPv6 capable.
    * Options can be specified with K (kilo-) and M (mega-) suffices.
    * Can run for specified time, rather than a set amount of data to transfer.
    * Picks the best units for the size of data being reported.
    * Server handles multiple connections.
    * Print periodic, intermediate bandwidth, jitter, and loss reports at
      specified intervals.
    * Server can be run as a daemon.
    * Use representative streams to test out how link layer compression affects
      your achievable bandwidth.

=== apps/gpl/iproute2/debian/control ===
Source: iproute
Section: net
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 3.6.0
Build-Depends: tetex-bin, atm-dev

Package: iproute
Architecture: any
Depends: ${shlibs:Depends}
Description: Professional tools to control the networking in Linux kernels
 This is `iproute', the professional set of tools to control the
 networking behavior in kernels 2.2.x and later.
 .
 At least, the options CONFIG_NETLINK and CONFIG_RTNETLINK must
 be compiled in the running kernel
 .
 This package is also known as iproute2 upstream and in some
 documentation.

=== apps/gpl/libpcap/debian/control ===
Source: libpcap
Section: devel
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Uploaders: Torsten Landschoff <torsten@debian.org>
Build-Depends: debhelper (>= 4), flex, bison
Standards-Version: 3.0.1

Package: libpcap-dev
Section: oldlibs
Architecture: all
Depends: libpcap0.7-dev
Priority: extra
Description: Development library for libpcap (transitional package)
 Empty package to facilitate upgrades, can be safely removed.

Package: libpcap0.7-dev
Section: libdevel
Architecture: any
Depends: libpcap0.7 (= ${Source-Version}), libc6-dev
Provides: libpcap-dev
Replaces: libpcap-dev
Conflicts: libpcap0.8-dev
Description: Development library and header files for libpcap 0.7
 Headers, static libraries, and documentation for the libpcap library.
 .
 libpcap (Packet CAPture) provides a portable framework for low-level
 network monitoring.  Applications include network statistics
 collection, security monitoring, network debugging, etc.
 .
 Since almost every system vendor provides a different interface for 
 packet capture, and since there are several tools that require this 
 functionality, we've created this system-independent API to ease in 
 porting and to alleviate the need for several system-dependent packet 
 capture modules in each application.
 .
 Further information is available at <URL: http://www.tcpdump.org/>

Package: libpcap0.7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: System interface for user-level packet capture
 libpcap (Packet CAPture) provides a portable framework for low-level 
 network monitoring.  Applications include network statistics collection, 
 security monitoring, network debugging, etc.  
 .
 Since almost every system vendor provides a different interface for 
 packet capture, and since there are several tools that require this 
 functionality, we've created this system-independent API to ease in 
 porting and to alleviate the need for several system-dependent packet 
 capture modules in each application.
 .
 Further information is available at <URL: http://www.tcpdump.org/>

=== apps/gpl/pciutils-2.2.4/debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian pciutils Maintainers <pkg-pciutils-discuss@lists.alioth.debian.org>
Uploaders: Matt Taggart <taggart@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>> 4), zlib1g-dev
Standards-Version: 3.7.2

Package: pciutils
Architecture: any
Depends: libpci2, ${shlibs:Depends}
Suggests: curl | wget | lynx
Description: Linux PCI Utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
  Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils-dev
Section: devel
Priority: optional
Architecture: any
Depends: pciutils (= ${Source-Version}), zlib1g-dev
Description: Linux PCI Utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the /usr/lib/libpci.a library.
 .
  Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
 This is a minimal version for use in debian-installer.

=== apps/gpl/php-2.0/debian/control ===
Source: php
Section: web
Priority: extra
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.3.0

Package: php
Architecture: any
Depends: ${shlibs:Depends}
Suggests: apache
Description: PHP/FI HTML programming language
 A server-parsed language for webpages, which supports complex commands,
 access counters, hit logging, file uploads, and more, without the
 overhead of interpreters like perl.  Both the Apache module and the
 CGI binary are included in this package.
 .
 When recompiled from source, this language can also support web access
 to mSQL, Sybase, Postgres95, mysql, and Solid databases.  More
 information is available at http://www.vex.net/php/.

=== apps/gpl/tcpdump/debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 5), libpcap0.8-dev (>= 0.9.3-1), dpatch, libssl-dev
Standards-Version: 3.7.2

Package: tcpdump
Architecture: any
Depends: ${shlibs:Depends}
Description: A powerful tool for network monitoring and data acquisition
 This program allows you to dump the traffic on a network. tcpdump 
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network 
 interface, filter packets that match a certain expression. You can 
 use this tool to track down network problems, to detect "ping attacks" 
 or to monitor network activities. 
 .
 Further information is available at <URL: http://www.tcpdump.org/>

=== apps/gpl/iperf/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	rm -f config.h
	./configure $(CONFFLAGS)

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)
#	help2man -o debian/iperf.1 -N src/iperf

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f config.sub config.guess
	rm -f config.h config.log
	
	-$(MAKE) distclean

	dh_clean Makefile.rules

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs README
	dh_install
	dh_installman debian/iperf.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== apps/gpl/iproute2/debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 1999 Roberto Lumbreras <rover@debian.org>
# Copyright (C) 1999-2002 Juan Cespedes <cespedes@debian.org>
# Copying: GPL

SHELL	=	bash

PACKAGE	=	$(shell perl -e 'print <> =~ /^(.*) \(.*\)/' debian/changelog)
PKG_VER	=	$(shell perl -e 'print <> =~ /\((.*)\)/' debian/changelog)
PKG_UPVER=	$(shell perl -e 'print <> =~ /\((.*)-[^-]*\)/' debian/changelog)

BINS	=	ip/ip
SBINS	=	ip/rtmon ip/rtacct tc/tc
SHBINS	=	ip/routef ip/routel # ip/ifcfg ip/rtpr
DOCS	=	README* doc/Plan debian/README.Debian
MAN8	=	debian/manpages/*.8
MANLINKS=	rtmon rtacct routef routel
TEXDOCS	=	ip-cref ip-tunnels api-ip6-flowlabels

build:		stamp-build

stamp-build:
		test -f include-glibc/netinet/in.h.orig || \
			mv include-glibc/netinet/in.h \
				include-glibc/netinet/in.h.orig
		$(MAKE) KERNEL_INCLUDE=/usr/include
		$(MAKE) -C doc
		touch stamp-build

binary:		binary-indep binary-arch

binary-indep:

binary-arch:	checkroot stamp-build
		$(RM) -r debian/tmp
		install -d -m0755 debian/tmp/{DEBIAN,bin,sbin,usr/{bin,share/doc/$(PACKAGE),share/man/man{7,8}}}
		install -s -m0755 $(BINS) debian/tmp/bin/
		install -s -m0755 $(SBINS) debian/tmp/sbin/
		ln -s /bin/ip debian/tmp/sbin/ip
		install -m0755 $(SHBINS) debian/tmp/usr/bin/
		cp -p $(DOCS) debian/tmp/usr/share/doc/$(PACKAGE)/
		cp -rp examples debian/tmp/usr/share/doc/$(PACKAGE)/
		find debian/tmp/usr/share/doc/$(PACKAGE)/examples -type f -exec chmod -x {} \;
		install -m0644 debian/changelog debian/tmp/usr/share/doc/$(PACKAGE)/changelog.Debian
		cp -p RELNOTES debian/tmp/usr/share/doc/$(PACKAGE)/changelog
		for i in $(TEXDOCS); do \
			install -m0644 doc/$$i.tex debian/tmp/usr/share/doc/$(PACKAGE)/; \
			install -m0644 doc/$$i.dvi debian/tmp/usr/share/doc/$(PACKAGE)/; \
			install -m0644 doc/$$i.ps debian/tmp/usr/share/doc/$(PACKAGE)/; \
		done
		install -m0644 $(MAN8) debian/tmp/usr/share/man/man8/
		gzip -9fr debian/tmp/usr/share || true
		ln -s tc-pbfifo.8.gz debian/tmp/usr/share/man/man8/tc-pfifo.8.gz
		ln -s tc-pbfifo.8.gz debian/tmp/usr/share/man/man8/tc-bfifo.8.gz
		for i in $(MANLINKS); do \
			ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/$$i.8.gz; \
		done
		cp -p debian/copyright debian/tmp/usr/share/doc/$(PACKAGE)/
		cp -rp etc debian/tmp/
		install -m0644 debian/conffiles debian/tmp/DEBIAN/

		dpkg-shlibdeps $(BINS) $(SBINS)
		dpkg-gencontrol -isp
		chown -R root.root debian/tmp
		chmod -R u=rwX,go=rX debian/tmp
		dpkg --build debian/tmp ..

checkdir:
		@test -f debian/rules

checkroot:	checkdir
		@test 0 = `id -u` || { echo "Error: not super-user"; exit 1; }

clean:		checkdir debian/control
		$(RM) stamp-build debian/files debian/substvars
		$(MAKE) clean
		$(MAKE) -C doc clean
		$(RM) `find . -name "*~" -o -name core`
		$(RM) -r debian/tmp
		test -f include-glibc/netinet/in.h.orig && \
			mv include-glibc/netinet/in.h.orig \
				include-glibc/netinet/in.h || true

.PHONY: build binary binary-arch binary-indep checkdir checkroot clean

=== apps/gpl/libpcap/debian/rules ===
#!/usr/bin/make -f

version=0.7.2
major=0.7

build: build-stamp
build-stamp:
	dh_testdir

	CFLAGS=-D_FILE_OFFSET_BITS=64 ./configure --prefix=/usr --mandir=\$${prefix}/share/man	\
		--enable-ipv6 --infodir=\$${prefix}/share/info
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	rm -f net/net

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=`pwd`/debian/libpcap0.7-dev/usr

# Build architecture-independent files here.
binary-indep: build
	dh_clean -k
	dh_installdirs -i
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
        #
        # build libpcap${major} package by moving files from libpcap0.7-dev
        #
	dh_movefiles -plibpcap$(major) --sourcedir=debian/libpcap0.7-dev \
		usr/lib/libpcap.so.$(major)        \
		usr/lib/libpcap.so.$(version)

#	dh_installdebconf	
	dh_installdocs -a -A debian/README.Debian
	dh_installexamples -a
	dh_installmenu -a
	dh_installmanpages -plibpcap0.7-dev
	dh_installinfo -a
#	dh_undocumented
	dh_installchangelogs -a CHANGES
	dh_link -plibpcap0.7-dev
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== apps/gpl/php-2.0/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter
# <clameter@debian.org>.

package=php

configure:
	test -f config.h


build: configure
	$(checkdir)
	mkdir -p debian/module debian/cgi
	cp debian/Makefile debian/module/Makefile
	sed "s/-DAPACHE=1/ /g" < debian/Makefile > debian/cgi/Makefile
	cp debian/php.h-cgi src/php.h
	cd debian/cgi; $(MAKE) VPATH="../../src" \
		srcdir="../../src" CFLAGS="-O2 -pipe -s" libphp.a
	cd debian/cgi; $(MAKE) VPATH="../../src" \
		srcdir="../../src" CFLAGS="-O2 -pipe -s -lgdbm -lm" php.cgi
	cp debian/php.h-mod src/php.h
	cd debian/module; $(MAKE) VPATH="../../src" \
		srcdir="../../src" CFLAGS="-O2 -pipe -s -fPIC" libphp.a
	cd debian/module; $(MAKE) VPATH="../../src" \
		srcdir="../../src" CFLAGS="-O2 -Wl,-S -fPIC" mod_php-static.so
	sed "s/-DAPACHE=1/ /g" < debian/Makefile > debian/cgi/Makefile
	cp debian/php.h-cgi src/php.h
	cd debian/cgi; $(MAKE) VPATH="../../src" \
		srcdir="../../src" CFLAGS="-O2 -pipe -s" libphp.a
	cd debian/cgi; $(MAKE) VPATH="../../src" \
		srcdir="../../src" CFLAGS="-O2 -pipe -s -lgdbm -lm" php.cgi
	touch build


clean:
	$(checkdir)
	-cd src; make clean
	-rm -f build $$(find . -name "*~") src/Makefile src/libphp* src/*.so
	-rm -rf $$(find debian/* -type d) debian/files* core debian/substvars*
	chmod 755 debian/{postinst,postrm}


binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp && install -d debian/tmp
	cd debian/tmp && install -d $$(cat ../dirs)
	install debian/module/mod_php-static.so \
		debian/tmp/usr/lib/apache/modules/mod_php.so
	cp debian/mod_php.info debian/tmp/usr/lib/apache/modules
	install debian/cgi/php.cgi debian/tmp/usr/lib/cgi-bin
	debstd -m -p ChangeLog README doc/*
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	chown -R root.www-data debian/tmp/var/lib/php
	chmod -R g=rwX debian/tmp/var/lib/php
	dpkg --build debian/tmp ..


define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== apps/gpl/tcpdump/debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

export DH_VERBOSE=1

dstdir := $(CURDIR)/debian/tcpdump

export CFLAGS=-D_FILE_OFFSET_BITS=64

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
endif

build: patch build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man 	\
		--infodir=\$${prefix}/share/info --enable-ipv6
	$(MAKE)

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=$(dstdir)/usr

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== apps/gpl/iperf/debian/watch ===
version=2
http://dast.nlanr.net/Projects/Iperf/ (?:.*/)?iperf-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
